HTML Parameter Reference: Part of the Modular DocBook Stylesheet distribution
Prev |  | Next

# $legalnotice-link-file$

## Name

$legalnotice-link-file$ -- Name of output file for legal notices

## Synopsis

    ($legalnotice-link-file$ legalnotice)

## Description

Name of the output file for legal notices if `%generate-legalnotice-link%` is true. Since several legal notices may occur (in a Set of Books, for example), this is no longer a fixed filename.

## Source Code

    (define ($legalnotice-link-file$ legalnotice)
      ;; Name of output file for legal notices
      (if (and %use-id-as-filename% (attribute-string (normalize "id") legalnotice))
          (string-append (attribute-string (normalize "id") legalnotice)
    		     %html-ext%)
          (string-append "ln"
    		     (number->string (all-element-number legalnotice))
    		     %html-ext%)))

Prev | Home | Next
%generate-legalnotice-link% | Up | %author-othername-in-middle%